Loading...
Searching...
No Matches
mbedtls_hmac_drbg_context Struct Reference

`#include <hmac_drbg.h>`

Collaboration diagram for mbedtls_hmac_drbg_context:
[legend]

## Data Fields

mbedtls_md_context_t | private_md_ctx
unsigned char | private_V [MBEDTLS_MD_MAX_SIZE]
int | private_reseed_counter
size_t | private_entropy_len
int | private_prediction_resistance
int | private_reseed_interval
int(* | private_f_entropy )(void *, unsigned char *, size_t)
void * | private_p_entropy
mbedtls_threading_mutex_t | private_mutex

## Detailed Description

HMAC_DRBG context.

Definition at line 74 of file hmac_drbg.h.

## Field Documentation

## private_entropy_len

size_t mbedtls_hmac_drbg_context::private_entropy_len

entropy bytes grabbed on each (re)seed

Definition at line 82 of file hmac_drbg.h.

## private_f_entropy

int(* mbedtls_hmac_drbg_context::private_f_entropy) (void *, unsigned char *, size_t)

entropy function

Definition at line 88 of file hmac_drbg.h.

## private_md_ctx

mbedtls_md_context_t mbedtls_hmac_drbg_context::private_md_ctx

HMAC context (inc. K)

Definition at line 77 of file hmac_drbg.h.

## private_mutex

mbedtls_threading_mutex_t mbedtls_hmac_drbg_context::private_mutex

Definition at line 100 of file hmac_drbg.h.

## private_p_entropy

void* mbedtls_hmac_drbg_context::private_p_entropy

context for the entropy function

Definition at line 89 of file hmac_drbg.h.

## private_prediction_resistance

int mbedtls_hmac_drbg_context::private_prediction_resistance

enable prediction resistance (Automatic reseed before every random generation)

Definition at line 83 of file hmac_drbg.h.

## private_reseed_counter

int mbedtls_hmac_drbg_context::private_reseed_counter

reseed counter

Definition at line 79 of file hmac_drbg.h.

## private_reseed_interval

int mbedtls_hmac_drbg_context::private_reseed_interval

reseed interval

Definition at line 85 of file hmac_drbg.h.

## private_V

unsigned char mbedtls_hmac_drbg_context::private_V[MBEDTLS_MD_MAX_SIZE]

V in the spec

Definition at line 78 of file hmac_drbg.h.

The documentation for this struct was generated from the following file:

- hmac_drbg.h